{"openapi":"3.1.1","paths":{"/api/v1/spec/datadoe_api.md":{"get":{"operationId":"SpecificationController_getDatadoeMd","parameters":[],"responses":{"200":{"description":"Download markdown file with agent instructions."},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Agent Instructions"]}},"/api/v1/spec/data-scheme":{"get":{"operationId":"SpecificationController_getDataScheme","parameters":[{"name":"query","required":false,"in":"query","description":"Optional full-text search query across source names, table names, descriptions, and columns.","schema":{"nullable":true,"example":"order items","type":"string"}},{"name":"sourceType","required":false,"in":"query","description":"Optional connection type filter. Omit it to return every source type.","schema":{"nullable":true,"example":"SELLER_CENTRAL","type":"string","enum":["SELLER_CENTRAL","VENDOR_CENTRAL","AMAZON_ADS"]}},{"name":"containsPii","required":false,"in":"query","description":"Optional filter for tables that contain personally identifiable information (PII).","schema":{"nullable":true,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"Get searchable DataDoe data scheme with a recommended sources list. Sources can include dataAvailability with intraday or real-time update details.","schema":{"$ref":"#/components/schemas/ExportSourcesResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportSourcesResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Agent Instructions"]}},"/api/v1/exports":{"post":{"operationId":"ExportsApiController_createExport","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportRequest"}}}},"responses":{"202":{"description":"Create a new export request.","schema":{"$ref":"#/components/schemas/ExportResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]},"get":{"operationId":"ExportsApiController_listExports","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"exportIds","required":false,"in":"query","description":"Optional list of export IDs to filter by. If not provided, returns paginated exports.","schema":{"nullable":true,"example":["1a2b3c4d-5678-90ab-cdef-112233445566","2b3c4d5e-6789-01bc-def0-223344556677"],"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Fetch exports by a list of IDs or the most recent paginated exports.","schema":{"$ref":"#/components/schemas/ExportsResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportsResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/schedules":{"get":{"operationId":"ExportsApiController_listSchedules","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"active","required":false,"in":"query","description":"Filter schedules by their active state","schema":{"nullable":false,"type":"boolean"}}],"responses":{"200":{"description":"Fetch API-created export schedules.","schema":{"$ref":"#/components/schemas/ExportSchedulesResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportSchedulesResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]},"post":{"operationId":"ExportsApiController_createSchedule","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleRequest"}}}},"responses":{"201":{"description":"Create a new API export schedule.","schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/schedules/{scheduleId}":{"get":{"operationId":"ExportsApiController_getSchedule","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"scheduleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Fetch API-created export schedule by ID.","schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"}}}},"404":{"description":"Export schedule not found or not accessible for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]},"put":{"operationId":"ExportsApiController_updateSchedule","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"scheduleId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleRequest"}}}},"responses":{"200":{"description":"Update an API export schedule.","schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleWithIntegrationsResponse"}}}},"404":{"description":"Export schedule not found or not accessible for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]},"delete":{"operationId":"ExportsApiController_deleteSchedule","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"scheduleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Delete an API export schedule."},"404":{"description":"Export schedule not found or not accessible for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/schedules/{scheduleId}/latest":{"get":{"operationId":"ExportsApiController_getLatestScheduleResult","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"scheduleId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Redirect to latest export result for an API-created schedule."},"404":{"description":"Export schedule or latest export result not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/{exportId}":{"get":{"operationId":"ExportsApiController_getExport","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"exportId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Fetch a single export by its ID.","schema":{"$ref":"#/components/schemas/ExportResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportResponse"}}}},"402":{"description":"Your organization has no AI Tokens left. Visit the organization page to increase your spending limit.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNoTokensResponse"}}}},"404":{"description":"Export not found or not accessible for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]},"delete":{"operationId":"ExportsApiController_deleteExport","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"exportId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Delete an export by its ID."},"404":{"description":"Export not found or not accessible for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/sources":{"get":{"operationId":"ExportsApiController_getSources","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"sellerOrVendorIds","required":true,"in":"query","description":"Seller or vendor identifiers for the report","schema":{"nullable":false,"example":["1a2b3c4d-5678-90ab-cdef-112233445566"],"type":"array","items":{"type":"string"}}},{"name":"query","required":false,"in":"query","description":"Optional full-text search query across source names, table names, descriptions, and columns.","schema":{"nullable":true,"example":"order items","type":"string"}},{"name":"sourceType","required":false,"in":"query","description":"Optional connection type filter. Omit it to return every source type.","schema":{"nullable":true,"example":"SELLER_CENTRAL","type":"string","enum":["SELLER_CENTRAL","VENDOR_CENTRAL","AMAZON_ADS"]}},{"name":"containsPii","required":false,"in":"query","description":"Optional filter for tables that contain personally identifiable information (PII).","schema":{"nullable":true,"example":true,"type":"boolean"}},{"name":"enabled","required":false,"in":"query","description":"Optional filter for organization-enabled export sources. Omit to return both enabled and disabled sources.","schema":{"nullable":true,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"Search export sources available for given sellers or vendors.","schema":{"$ref":"#/components/schemas/ExportSourcesResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportSourcesResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/exports/{exportId}/raw":{"get":{"operationId":"ExportsApiController_getRawExport","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"exportId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Export is still processing and the raw file is not yet available."},"302":{"description":"Redirect to raw export file URL.","headers":{"Location":{"description":"URL to the raw export file.","schema":{"type":"string","format":"uri"}}}},"404":{"description":"Export or raw file not found for this organization.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Exports"]}},"/api/v1/util/organization":{"get":{"operationId":"UtilityApiController_getOrganization","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Organization utility information.","schema":{"$ref":"#/components/schemas/UtilityOrganizationResponseDto"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilityOrganizationResponseDto"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Utility"]}},"/api/v1/util/sellers-and-vendors":{"get":{"operationId":"UtilityApiController_getSellersAndVendors","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"page","required":false,"in":"query","schema":{"minimum":1,"nullable":true,"default":1,"type":"number"}},{"name":"pageSize","required":false,"in":"query","schema":{"minimum":1,"maximum":100,"nullable":true,"default":100,"type":"number"}},{"name":"query","required":false,"in":"query","description":"Case-insensitive substring search on seller and vendor names.","schema":{"maxLength":256,"nullable":true,"type":"string"}},{"name":"marketplaceCountryCode","required":false,"in":"query","description":"Two-letter marketplace country code (e.g. US, PL).","schema":{"minLength":2,"maxLength":2,"nullable":true,"example":"US","type":"string"}}],"responses":{"200":{"description":"Paginated sellers and vendors connected to the organization.","schema":{"$ref":"#/components/schemas/SellersAndVendorsResponseDto"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SellersAndVendorsResponseDto"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Utility"]}},"/api/v1/files":{"post":{"operationId":"FilesApiController_create","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDataFileRequest"}}}},"responses":{"201":{"description":"Create a new data file and receive an upload URL.","schema":{"$ref":"#/components/schemas/DataFileCreateResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataFileCreateResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Files"]},"get":{"operationId":"FilesApiController_list","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"group","required":false,"in":"query","schema":{"type":"string","enum":["LISTING_IMAGES"]}},{"name":"page","required":false,"in":"query","schema":{"minimum":1,"default":1,"type":"number"}},{"name":"pageSize","required":false,"in":"query","schema":{"minimum":1,"maximum":100,"default":25,"type":"number"}},{"name":"query","required":false,"in":"query","schema":{"type":"string"}},{"name":"statuses","required":false,"in":"query","schema":{"type":"array","items":{"type":"string","enum":["WAITING_FOR_UPLOAD","UPLOADED","EXPIRED","DELETED"]}}},{"name":"types","required":false,"in":"query","schema":{"type":"array","items":{"type":"string","enum":["PNG","TIFF","JPG"]}}},{"name":"sources","required":false,"in":"query","schema":{"type":"array","items":{"type":"string","enum":["API","MCP","DATA"]}}},{"name":"sellerOrVendorIds","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"List data files.","schema":{"$ref":"#/components/schemas/DataFilesResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataFilesResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Files"]}},"/api/v1/files/{fileId}":{"get":{"operationId":"FilesApiController_getById","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"fileId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Get data file details.","schema":{"$ref":"#/components/schemas/DataFileResponse"},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataFileResponse"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Files"]},"delete":{"operationId":"FilesApiController_delete","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"fileId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":"Delete data file."},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Files"]}},"/api/v1/files/{fileId}/download":{"get":{"operationId":"FilesApiController_download","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string"}},{"name":"fileId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Redirect to file download URL."},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Files"]}},"/api/v1/actions":{"post":{"operationId":"ActionsApiController_startAction","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string","$ref":"#/components/schemas/ActionRequest"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionStartResponse"}}}},"202":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionStartResponse"}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiBadRequestResponse"}}}},"402":{"description":"Your organization has no AI Tokens left. Visit the organization page to increase your spending limit.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNoTokensResponse"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"412":{"description":"Action execution is disabled for this organization. Ask an organization owner to enable it in DataDoe Settings > Actions or contact support."},"429":{"description":"Live action limit exceeded. Too many actions are currently pending, in progress, or waiting for external processing. Combine multiple operations into a single action request when possible.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiLiveActionLimitResponse"}}}},"501":{"description":"Actions are available in private beta only. You can sign up for it at contact@datadoe.com."},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Actions"]},"get":{"operationId":"ActionsApiController_listActions","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string","$ref":"#/components/schemas/ActionRequest"}},{"name":"page","required":false,"in":"query","schema":{"minimum":1,"nullable":true,"default":1,"type":"number"}},{"name":"pageSize","required":false,"in":"query","schema":{"minimum":1,"maximum":100,"nullable":true,"default":20,"type":"number"}},{"name":"statuses","required":false,"in":"query","description":"Filter by action status.","schema":{"maxItems":16,"nullable":true,"type":"array","items":{"type":"string","enum":["PENDING","IN_PROGRESS","WAITING_EXTERNAL_PROCESSING","COMPLETED","PARTIALLY_COMPLETED","COMPLETED_WITH_ISSUES","ERROR","BLOCKED_NO_TOKENS","BLOCKED_INVALID_INPUT","VALIDATED","CANCELED"]}}},{"name":"types","required":false,"in":"query","description":"Filter by action type.","schema":{"maxItems":16,"nullable":true,"type":"array","items":{"type":"string","enum":["AMAZON_LISTINGS_UPDATE","AMAZON_LISTINGS_FIND","AMAZON_ORDERS_CANCEL","AMAZON_ORDERS_CONFIRM_SHIPMENT","AMAZON_ORDERS_SOLICITATION_FEEDBACK_SEND","AMAZON_ADS_CAMPAIGNS_ADD","AMAZON_ADS_CAMPAIGNS_REMOVE","AMAZON_ADS_CAMPAIGNS_UPDATE","AMAZON_ADS_AD_GROUPS_ADD","AMAZON_ADS_AD_GROUPS_REMOVE","AMAZON_ADS_AD_GROUPS_UPDATE","AMAZON_ADS_TARGETS_ADD","AMAZON_ADS_TARGETS_REMOVE","AMAZON_ADS_TARGETS_UPDATE","AMAZON_ADS_ADS_ADD","AMAZON_ADS_ADS_REMOVE","AMAZON_ADS_ADS_UPDATE","AMAZON_ADS_AD_ASSOCIATIONS_ADD","AMAZON_ADS_AD_ASSOCIATIONS_REMOVE","AMAZON_ADS_AD_ASSOCIATIONS_UPDATE","AMAZON_ADS_CAMPAIGNS_FIND","AMAZON_ADS_AD_GROUPS_FIND","AMAZON_ADS_TARGETS_FIND","AMAZON_ADS_ADS_FIND","AMAZON_ADS_AD_ASSOCIATIONS_FIND","AMAZON_ADS_PORTFOLIOS_ADD","AMAZON_ADS_PORTFOLIOS_UPDATE","AMAZON_ADS_PORTFOLIOS_FIND"]}}},{"name":"creators","required":false,"in":"query","description":"Filter by action creator.","schema":{"maxItems":8,"nullable":true,"type":"array","items":{"type":"string","enum":["API","MCP","SYSTEM"]}}},{"name":"createdAtFrom","required":false,"in":"query","schema":{"format":"date-time","nullable":true,"type":"string"}},{"name":"createdAtTo","required":false,"in":"query","schema":{"format":"date-time","nullable":true,"type":"string"}},{"name":"updatedAtFrom","required":false,"in":"query","schema":{"format":"date-time","nullable":true,"type":"string"}},{"name":"updatedAtTo","required":false,"in":"query","schema":{"format":"date-time","nullable":true,"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionHistoryResponse"}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiBadRequestResponse"}}}},"402":{"description":"Your organization has no AI Tokens left. Visit the organization page to increase your spending limit.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNoTokensResponse"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"501":{"description":"Actions are available in private beta only. You can sign up for it at contact@datadoe.com."},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Actions"]}},"/api/v1/actions/{actionId}":{"get":{"operationId":"ActionsApiController_getAction","parameters":[{"name":"datadoe-api-key","in":"header","description":"API key for the organization","required":true,"schema":{"type":"string","$ref":"#/components/schemas/ActionRequest"}},{"name":"actionId","required":true,"in":"path","schema":{"format":"uuid","nullable":false,"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionStatusResponse"}}}},"402":{"description":"Your organization has no AI Tokens left. Visit the organization page to increase your spending limit.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNoTokensResponse"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiNotFoundResponse"}}}},"429":{"description":"Rate limit exceeded. Maximum is 2 requests per second per organization. Header Retry-After contains retry delay in seconds.","headers":{"Retry-After":{"description":"Number of seconds to wait before retrying request.","schema":{"type":"string","example":"1"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRateLimitResponse"}}}},"501":{"description":"Actions are available in private beta only. You can sign up for it at contact@datadoe.com."},"default":{"headers":{"datadoe-api-request-id":{"description":"Unique request ID generated by the server. Add it to your error reports to help us investigate the issue.","required":true,"schema":{"type":"string","format":"uuid"},"example":"123e4567-e89b-12d3-a456-426614174000"}}}},"tags":["Actions"]}}},"info":{"title":"DataDoe REST API","description":"<!-- AI agents: jump to \"## Use with AI agents\" below and follow the required first step. -->\n\n\n## Introduction\n\nThis REST API is used to interact with the [DataDoe](https://app.datadoe.com) platform. It is the main interface for building integrations and automations.\n\n## Authorization\n\nAll requests must be authenticated using the `datadoe-api-key` header. The key can be generated in the [DataDoe REST API Integration dashboard](https://app.datadoe.com/integrations/rest-api). The key is a secret and should be kept confidential.\n\nThe exceptions to this rule are the specification endpoints: this document (`/api/v1/docs`), the JSON version of this document (`/api/v1/docs/json`), and the _Agent Instructions_ endpoints, which are publicly available to help you understand DataDoe and its capabilities.\n\n## Rate limiting\n\nIntegration endpoints are rate-limited to **2 requests per second per organization**.\n\nWhen the limit is exceeded, the API responds with `HTTP 429` and `Retry-After: 1`.\n\nThe documentation/specification endpoints are excluded from rate limiting: `/api/v1/docs`, `/api/v1/docs/json`, `/api/v1/spec/datadoe_api.md`, and `/api/v1/spec/data-scheme`.\n\n## Traceability\n\nAll responses contain a `datadoe-api-request-id` header that can be used to trace the request through the system. Add it to your error reports to help us investigate the issue.\n\n## Use with AI agents\n\n**Required first step (before calling any endpoint other than documentation/spec endpoints):** fetch `GET /api/v1/spec/datadoe_api.md` and follow its instructions.\n\nDo **not** call any other DataDoe API endpoints until you have successfully retrieved and read `datadoe_api.md`. If you cannot access it, stop and request the missing access/context.\n\n## Other Integrations\n\nDataDoe also provides an MCP integration for AI agents. An MCP key can be generated in the [DataDoe MCP Integration dashboard](https://app.datadoe.com/integrations/mcp).\n\n## Questions and Support\n\nFeel free to contact us at [contact@datadoe.com](mailto:contact@datadoe.com) for any questions or support.","version":"0.0.1","contact":{},"termsOfService":"https://www.datadoe.com/terms-of-service"},"tags":[],"servers":[{"url":"https://api.datadoe.com"}],"components":{"schemas":{"ActionAdsAdAssociationsFindResult":{"type":"object","properties":{"adAssociations":{"type":"array","items":{"type":"object"}},"nextToken":{"type":"string"}},"description":"Amazon Ads queryAdAssociation response for AMAZON_ADS_AD_ASSOCIATIONS_FIND actions.","title":"ActionAdsAdAssociationsFindResult"},"ActionAdsAdGroupsFindResult":{"type":"object","properties":{"adGroups":{"type":"array","items":{"type":"object"}},"nextToken":{"type":"string"}},"description":"Amazon Ads queryAdGroup response for AMAZON_ADS_AD_GROUPS_FIND actions.","title":"ActionAdsAdGroupsFindResult"},"ActionAdsAdsFindResult":{"type":"object","properties":{"ads":{"type":"array","items":{"type":"object"}},"nextToken":{"type":"string"}},"description":"Amazon Ads queryAd response for AMAZON_ADS_ADS_FIND actions.","title":"ActionAdsAdsFindResult"},"ActionAdsCampaignsFindResult":{"type":"object","properties":{"campaigns":{"type":"array","items":{"type":"object"}},"nextToken":{"type":"string"}},"description":"Amazon Ads queryCampaign response for AMAZON_ADS_CAMPAIGNS_FIND actions.","title":"ActionAdsCampaignsFindResult"},"ActionAdsMutateIssuesResult":{"type":"object","properties":{"status":{"type":"string","enum":["COMPLETED_WITH_ISSUES","PARTIALLY_COMPLETED"],"nullable":false},"message":{"type":"string","nullable":false,"description":"User-friendly summary of item-level Amazon Ads issues."},"successCount":{"type":"number","nullable":false},"partialSuccessCount":{"type":"number","nullable":false},"errorCount":{"type":"number","nullable":false},"totalCount":{"type":"number","nullable":false}},"description":"Summary of partially successful Amazon Ads mutate actions with item-level issue messages.","required":["status","message","successCount","partialSuccessCount","errorCount","totalCount"],"title":"ActionAdsMutateIssuesResult"},"ActionAdsTargetsFindResult":{"type":"object","properties":{"targets":{"type":"array","items":{"type":"object"}},"nextToken":{"type":"string"},"totalResults":{"type":"number"}},"description":"Amazon Ads queryTarget response for AMAZON_ADS_TARGETS_FIND actions.","title":"ActionAdsTargetsFindResult"},"ActionError":{"type":"object","properties":{},"description":"Error payload when the action failed.","title":"ActionError","additionalProperties":true},"ActionExecutionErrorResult":{"type":"object","properties":{"status":{"type":"string","enum":["ERROR"],"nullable":false},"code":{"type":"string","enum":["AMAZON_ADS_INSUFFICIENT_PERMISSIONS","AMAZON_ADS_MISSING_ADS_ACCOUNT_ID","EXECUTION_FAILED"],"nullable":false},"message":{"type":"string","nullable":false,"description":"User-friendly explanation of why the action failed and what to do next."}},"description":"User-friendly execution error for failed actions.","required":["status","code","message"],"title":"ActionExecutionErrorResult","additionalProperties":true},"ActionHistoryItem":{"type":"object","properties":{"actionId":{"type":"string","format":"uuid","nullable":false},"type":{"type":"string","enum":["AMAZON_LISTINGS_UPDATE","AMAZON_LISTINGS_FIND","AMAZON_ORDERS_CANCEL","AMAZON_ORDERS_CONFIRM_SHIPMENT","AMAZON_ORDERS_SOLICITATION_FEEDBACK_SEND","AMAZON_ADS_CAMPAIGNS_ADD","AMAZON_ADS_CAMPAIGNS_REMOVE","AMAZON_ADS_CAMPAIGNS_UPDATE","AMAZON_ADS_AD_GROUPS_ADD","AMAZON_ADS_AD_GROUPS_REMOVE","AMAZON_ADS_AD_GROUPS_UPDATE","AMAZON_ADS_TARGETS_ADD","AMAZON_ADS_TARGETS_REMOVE","AMAZON_ADS_TARGETS_UPDATE","AMAZON_ADS_ADS_ADD","AMAZON_ADS_ADS_REMOVE","AMAZON_ADS_ADS_UPDATE","AMAZON_ADS_AD_ASSOCIATIONS_ADD","AMAZON_ADS_AD_ASSOCIATIONS_REMOVE","AMAZON_ADS_AD_ASSOCIATIONS_UPDATE","AMAZON_ADS_CAMPAIGNS_FIND","AMAZON_ADS_AD_GROUPS_FIND","AMAZON_ADS_TARGETS_FIND","AMAZON_ADS_ADS_FIND","AMAZON_ADS_AD_ASSOCIATIONS_FIND","AMAZON_ADS_PORTFOLIOS_ADD","AMAZON_ADS_PORTFOLIOS_UPDATE","AMAZON_ADS_PORTFOLIOS_FIND"],"nullable":false},"sellerOrVendorId":{"type":"string","format":"uuid","nullable":false},"status":{"type":"string","enum":["PENDING","IN_PROGRESS","WAITING_EXTERNAL_PROCESSING","COMPLETED","PARTIALLY_COMPLETED","COMPLETED_WITH_ISSUES","ERROR","BLOCKED_NO_TOKENS","BLOCKED_INVALID_INPUT","CANCELED"],"nullable":false},"details":{"nullable":false,"oneOf":[{"$ref":"#/components/schemas/ActionRequestUpdateListingDetails"},{"$ref":"#/components/schemas/ActionRequestListingsFindDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersCancelDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersConfirmShipmentDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersSolicitationFeedbackSendDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioFindDetails"}],"description":"Action-specific details submitted when the action was started."},"result":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/ActionSpApiFeedResult"},{"$ref":"#/components/schemas/ActionAdsCampaignsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdGroupsFindResult"},{"$ref":"#/components/schemas/ActionAdsTargetsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdAssociationsFindResult"},{"$ref":"#/components/schemas/ActionAdsPortfoliosFindResult"},{"$ref":"#/components/schemas/ActionExecutionErrorResult"},{"$ref":"#/components/schemas/ActionAdsMutateIssuesResult"}],"description":"Action result. For SP-API feed actions, returns feed status fields when finished. For Ads FIND actions, returns the Amazon Ads query response. For failed actions, returns a user-friendly execution error. For partially successful Ads mutate actions, returns issue summary with item-level messages. Null for in-progress actions and fully successful Ads mutate actions."},"queuedAt":{"format":"date-time","type":"string","nullable":true},"startedAt":{"format":"date-time","type":"string","nullable":true},"completedAt":{"format":"date-time","type":"string","nullable":true},"creator":{"type":"string","enum":["API","MCP","SYSTEM"],"nullable":false},"tokenCost":{"type":"number","nullable":false},"chargedAt":{"format":"date-time","type":"string","nullable":true},"createdAt":{"format":"date-time","type":"string","nullable":false},"updatedAt":{"format":"date-time","type":"string","nullable":false}},"required":["actionId","type","sellerOrVendorId","status","details","result","queuedAt","startedAt","completedAt","creator","tokenCost","chargedAt","createdAt","updatedAt"],"title":"ActionHistoryItem"},"ActionHistoryResponse":{"type":"object","properties":{"data":{"description":"List of actions","type":"array","items":{"$ref":"#/components/schemas/ActionHistoryItem"}},"meta":{"$ref":"#/components/schemas/PaginatedMeta"}},"required":["data","meta"],"title":"ActionHistoryResponse"},"ActionRequest":{"type":"object","properties":{"type":{"type":"string","description":"Action type.","enum":["AMAZON_LISTINGS_UPDATE","AMAZON_LISTINGS_FIND","AMAZON_ORDERS_CANCEL","AMAZON_ORDERS_CONFIRM_SHIPMENT","AMAZON_ORDERS_SOLICITATION_FEEDBACK_SEND","AMAZON_ADS_CAMPAIGNS_ADD","AMAZON_ADS_CAMPAIGNS_REMOVE","AMAZON_ADS_CAMPAIGNS_UPDATE","AMAZON_ADS_AD_GROUPS_ADD","AMAZON_ADS_AD_GROUPS_REMOVE","AMAZON_ADS_AD_GROUPS_UPDATE","AMAZON_ADS_TARGETS_ADD","AMAZON_ADS_TARGETS_REMOVE","AMAZON_ADS_TARGETS_UPDATE","AMAZON_ADS_ADS_ADD","AMAZON_ADS_ADS_REMOVE","AMAZON_ADS_ADS_UPDATE","AMAZON_ADS_AD_ASSOCIATIONS_ADD","AMAZON_ADS_AD_ASSOCIATIONS_REMOVE","AMAZON_ADS_AD_ASSOCIATIONS_UPDATE","AMAZON_ADS_CAMPAIGNS_FIND","AMAZON_ADS_AD_GROUPS_FIND","AMAZON_ADS_TARGETS_FIND","AMAZON_ADS_ADS_FIND","AMAZON_ADS_AD_ASSOCIATIONS_FIND","AMAZON_ADS_PORTFOLIOS_ADD","AMAZON_ADS_PORTFOLIOS_UPDATE","AMAZON_ADS_PORTFOLIOS_FIND"],"nullable":false},"sellerOrVendorId":{"type":"string","description":"Seller or vendor identifier.","format":"uuid"},"dryRun":{"type":"boolean","description":"Validate without creating an action.","default":false},"details":{"nullable":false,"oneOf":[{"$ref":"#/components/schemas/ActionRequestUpdateListingDetails"},{"$ref":"#/components/schemas/ActionRequestListingsFindDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersCancelDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersConfirmShipmentDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersSolicitationFeedbackSendDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioFindDetails"}]}},"required":["type","sellerOrVendorId","details"],"title":"ActionRequest"},"ActionRequestAdsAdAssociationDetails":{"type":"object","properties":{"adAssociations":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationItem"}}},"required":["adAssociations"],"title":"ActionRequestAdsAdAssociationDetails"},"ActionRequestAdsAdAssociationFindDetails":{"type":"object","properties":{"adAssociationQuery":{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationQuery","nullable":false}},"required":["adAssociationQuery"],"title":"ActionRequestAdsAdAssociationFindDetails"},"ActionRequestAdsAdAssociationItem":{"type":"object","properties":{"adAssociationId":{"type":"string","nullable":true},"adGroupId":{"type":"string","nullable":true},"adId":{"type":"string","nullable":true},"state":{"type":"string","enum":["ENABLED","PAUSED"],"nullable":true},"weight":{"type":"number","nullable":true},"startDateTime":{"type":"string","nullable":true},"endDateTime":{"type":"string","nullable":true}},"title":"ActionRequestAdsAdAssociationItem"},"ActionRequestAdsAdAssociationQuery":{"type":"object","properties":{"adAssociationIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"adGroupIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"adIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"maxResults":{"type":"number","minimum":1,"maximum":100},"nextToken":{"type":"string"}},"title":"ActionRequestAdsAdAssociationQuery"},"ActionRequestAdsAdDetails":{"type":"object","properties":{"ads":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsAdItem"}}},"required":["ads"],"title":"ActionRequestAdsAdDetails"},"ActionRequestAdsAdFindDetails":{"type":"object","properties":{"adQuery":{"$ref":"#/components/schemas/ActionRequestAdsAdQuery","nullable":false}},"required":["adQuery"],"title":"ActionRequestAdsAdFindDetails"},"ActionRequestAdsAdGroupDetails":{"type":"object","properties":{"adGroups":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsAdGroupItem"}}},"required":["adGroups"],"title":"ActionRequestAdsAdGroupDetails"},"ActionRequestAdsAdGroupFindDetails":{"type":"object","properties":{"adGroupQuery":{"$ref":"#/components/schemas/ActionRequestAdsAdGroupQuery","nullable":false}},"required":["adGroupQuery"],"title":"ActionRequestAdsAdGroupFindDetails"},"ActionRequestAdsAdGroupItem":{"type":"object","properties":{"adGroupId":{"type":"string","nullable":true},"campaignId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"adProduct":{"type":"string","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"],"nullable":true},"state":{"type":"string","enum":["ENABLED","PAUSED"],"nullable":true},"adSettings":{"type":"object","nullable":true},"advertisedProductCategoryIds":{"nullable":true,"type":"array","items":{"type":"string"}},"defaultBid":{"type":"number","nullable":true},"baseBid":{"type":"number","nullable":true},"maxAverageBid":{"type":"number","nullable":true},"marketplaceSettings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceBidSetting"}},"budgets":{"nullable":true,"type":"array","items":{"type":"object"}},"creativeRotationType":{"type":"string","enum":["RANDOM","WEIGHTED"],"nullable":true},"creativeType":{"type":"string","enum":["IMAGE","VIDEO"],"nullable":true},"endDateTime":{"type":"string","nullable":true},"fees":{"nullable":true,"type":"array","items":{"type":"object"}},"frequencies":{"nullable":true,"type":"array","items":{"type":"object"}},"inventoryType":{"type":"string","enum":["AAP_MOBILE_APP","AMAZON_MOBILE_DISPLAY","AUDIO","AUDIO_AMAZON_DEAL","DISPLAY","LIVE_EVENTS","ONLINE_VIDEO","PODCAST","STANDARD_DISPLAY","STREAMING_TV","STREAMING_TV_AMAZON_DEAL","VIDEO"],"nullable":true},"marketplaceConfigurations":{"nullable":true,"type":"array","items":{"type":"object"}},"marketplaceScope":{"type":"string","enum":["GLOBAL","SINGLE_MARKETPLACE"],"nullable":true},"marketplaces":{"type":"array","nullable":true,"items":{"type":"string","enum":["AE","AU","BE","BR","CA","DE","EG","ES","FR","GB","IE","IN","IT","JP","MX","NL","PL","SA","SE","SG","TR","US","ZA"]}},"optimization":{"type":"object","nullable":true},"pacing":{"type":"object","nullable":true},"purchaseOrderNumber":{"type":"string","nullable":true},"startDateTime":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"object"}},"targetingSettings":{"type":"object","nullable":true}},"title":"ActionRequestAdsAdGroupItem"},"ActionRequestAdsAdGroupQuery":{"type":"object","properties":{"adProductFilter":{"$ref":"#/components/schemas/ActionRequestAdsAdProductFilter","nullable":false},"adGroupIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"campaignIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"marketplaceScopeFilter":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceScopeFilter"},"nameFilter":{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"},"stateFilter":{"$ref":"#/components/schemas/ActionRequestAdsFilterStateFilter"},"maxResults":{"type":"number","minimum":1,"maximum":100},"nextToken":{"type":"string"}},"required":["adProductFilter"],"title":"ActionRequestAdsAdGroupQuery"},"ActionRequestAdsAdItem":{"type":"object","properties":{"adId":{"type":"string","nullable":true},"adGroupId":{"type":"string","nullable":true},"adProduct":{"type":"string","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"],"nullable":true},"adType":{"type":"string","enum":["AUDIO","COMPONENT","DISPLAY","PRODUCT_AD","THIRD_PARTY","VIDEO"],"nullable":true},"creative":{"type":"object","nullable":true},"name":{"type":"string","nullable":true},"state":{"type":"string","enum":["ENABLED","PAUSED"],"nullable":true},"marketplaceConfigurations":{"nullable":true,"type":"array","items":{"type":"object"}},"marketplaceScope":{"type":"string","enum":["GLOBAL","SINGLE_MARKETPLACE"],"nullable":true},"marketplaces":{"type":"array","nullable":true,"items":{"type":"string","enum":["AE","AU","BE","BR","CA","DE","EG","ES","FR","GB","IE","IN","IT","JP","MX","NL","PL","SA","SE","SG","TR","US","ZA"]}},"tags":{"nullable":true,"type":"array","items":{"type":"object"}}},"title":"ActionRequestAdsAdItem"},"ActionRequestAdsAdProductFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"minItems":1,"maxItems":1,"items":{"type":"string","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"]}}},"required":["include"],"title":"ActionRequestAdsAdProductFilter"},"ActionRequestAdsAdQuery":{"type":"object","properties":{"adProductFilter":{"$ref":"#/components/schemas/ActionRequestAdsAdProductFilter","nullable":false},"adGroupIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"adIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"campaignIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"marketplaceScopeFilter":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceScopeFilter"},"nameFilter":{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"},"stateFilter":{"$ref":"#/components/schemas/ActionRequestAdsFilterStateFilter"},"maxResults":{"type":"number","minimum":1,"maximum":100},"nextToken":{"type":"string"}},"required":["adProductFilter"],"title":"ActionRequestAdsAdQuery"},"ActionRequestAdsBooleanFilter":{"type":"object","properties":{"include":{"nullable":false,"type":"array","items":{"type":"boolean"}}},"required":["include"],"title":"ActionRequestAdsBooleanFilter"},"ActionRequestAdsCampaignAudienceBidAdjustment":{"type":"object","properties":{"audienceId":{"type":"string","nullable":false},"percentage":{"type":"number","nullable":false}},"required":["audienceId","percentage"],"title":"ActionRequestAdsCampaignAudienceBidAdjustment"},"ActionRequestAdsCampaignCreativeBidAdjustment":{"type":"object","properties":{"creativeType":{"type":"string","enum":["SPOTLIGHT"],"nullable":true},"percentage":{"type":"number","nullable":false}},"required":["percentage"],"title":"ActionRequestAdsCampaignCreativeBidAdjustment"},"ActionRequestAdsCampaignDetails":{"type":"object","properties":{"campaigns":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsCampaignItem"}}},"required":["campaigns"],"title":"ActionRequestAdsCampaignDetails"},"ActionRequestAdsCampaignFindDetails":{"type":"object","properties":{"campaignQuery":{"$ref":"#/components/schemas/ActionRequestAdsCampaignQuery","nullable":false}},"required":["campaignQuery"],"title":"ActionRequestAdsCampaignFindDetails"},"ActionRequestAdsCampaignItem":{"type":"object","properties":{"campaignId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"adProduct":{"type":"string","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"],"nullable":true},"state":{"type":"string","enum":["ENABLED","PAUSED"],"nullable":true},"adomains":{"nullable":true,"type":"array","items":{"type":"string"}},"autoCreationSettings":{"type":"object","nullable":true},"brandId":{"type":"string","nullable":true},"budgets":{"nullable":true,"type":"array","items":{"type":"object"}},"costType":{"type":"string","enum":["CPC","CPM","FIXED_PRICE","VCPM"],"nullable":true},"countries":{"type":"array","nullable":true,"items":{"type":"string","enum":["AE","AT","AU","BE","BH","BR","CA","CH","DE","DK","EG","ES","FI","FR","GB","IE","IL","IN","IT","JO","JP","KW","LU","MA","MK","MX","NL","NO","NZ","OM","PL","QA","SA","SE","SG","TR","US","ZA"]}},"endDateTime":{"type":"string","nullable":true},"fees":{"nullable":true,"type":"array","items":{"type":"object"}},"flights":{"nullable":true,"type":"array","items":{"type":"object"}},"frequencies":{"nullable":true,"type":"array","items":{"type":"object"}},"marketplaceConfigurations":{"nullable":true,"type":"array","items":{"type":"object"}},"marketplaceScope":{"type":"string","enum":["GLOBAL","SINGLE_MARKETPLACE"],"nullable":true},"marketplaces":{"type":"array","nullable":true,"items":{"type":"string","enum":["AE","AU","BE","BR","CA","DE","EG","ES","FR","GB","IE","IN","IT","JP","MX","NL","PL","SA","SE","SG","TR","US","ZA"]}},"bidStrategy":{"type":"string","enum":["MANUAL","NEW_TO_BRAND","PRIORITIZE_KPI_TARGET","RULE_BASED","SALES_DOWN_ONLY","SALES_UP_AND_DOWN","SPEND_BUDGET_IN_FULL","USE_CAMPAIGN_STRATEGY"],"nullable":true},"placementBidAdjustments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsCampaignPlacementBidAdjustment"}},"audienceBidAdjustments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsCampaignAudienceBidAdjustment"}},"creativeBidAdjustments":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsCampaignCreativeBidAdjustment"}},"portfolioId":{"type":"string","nullable":true},"purchaseOrderNumber":{"type":"string","nullable":true},"salesChannel":{"type":"string","enum":["AMAZON","OFF_AMAZON"],"nullable":true},"siteRestrictions":{"type":"array","nullable":true,"items":{"type":"string","enum":["AMAZON_BUSINESS","AMAZON_HAUL"]}},"skanAppId":{"type":"string","nullable":true},"startDateTime":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"object"}},"targetedPGDealId":{"type":"string","nullable":true}},"title":"ActionRequestAdsCampaignItem"},"ActionRequestAdsCampaignPlacementBidAdjustment":{"type":"object","properties":{"placement":{"type":"string","enum":["HOME_PAGE","PRODUCT_PAGE","REST_OF_SEARCH","SITE_AMAZON_BUSINESS","TOP_OF_SEARCH"],"nullable":false},"percentage":{"type":"number","nullable":false}},"required":["placement","percentage"],"title":"ActionRequestAdsCampaignPlacementBidAdjustment"},"ActionRequestAdsCampaignQuery":{"type":"object","properties":{"adProductFilter":{"$ref":"#/components/schemas/ActionRequestAdsAdProductFilter","nullable":false},"campaignIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"goalFilter":{"$ref":"#/components/schemas/ActionRequestAdsGoalFilter"},"marketplaceScopeFilter":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceScopeFilter"},"nameFilter":{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"},"portfolioIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"stateFilter":{"$ref":"#/components/schemas/ActionRequestAdsFilterStateFilter"},"maxResults":{"type":"number","minimum":1,"maximum":100},"nextToken":{"type":"string"}},"required":["adProductFilter"],"title":"ActionRequestAdsCampaignQuery"},"ActionRequestAdsFilterStateFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["ARCHIVED","ENABLED","PAUSED"]}}},"required":["include"],"title":"ActionRequestAdsFilterStateFilter"},"ActionRequestAdsGoalFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["AWARENESS","CONSIDERATION","CONVERSIONS"]}}},"required":["include"],"title":"ActionRequestAdsGoalFilter"},"ActionRequestAdsIncludeStringFilter":{"type":"object","properties":{"include":{"nullable":false,"type":"array","items":{"type":"string"}}},"required":["include"],"title":"ActionRequestAdsIncludeStringFilter"},"ActionRequestAdsInventorySourceTypeFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["AMAZON","APD","DEAL","INVENTORY_GROUP","THIRD_PARTY_EXCHANGE"]}}},"required":["include"],"title":"ActionRequestAdsInventorySourceTypeFilter"},"ActionRequestAdsLanguageLocaleFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["ak_GH","am_ET","an_ES","ar_AE","as_IN","av_RU","ay_BO","ba_RU","be_BY","bg_BG","bh_IN","bi_VU","bm_ML","bo_CN","bs_BA","ca_ES","ce_RU","ch_GU","de_DE","el_GR","en_US","eo_INT","es_ES","et_EE","eu_ES","fa_IR","fi_FI","fj_FJ","fo_FO","fr_FR","fy_NL","ga_IE","gd_GB","gl_ES","gn_PY","gu_IN","gv_IM","ha_NG","he_IL","hi_IN","ho_PG","hr_HR","ht_HT","hu_HU","hy_AM","hz_NA","ia_INT","id_ID","ie_INT","ig_NG","ii_CN","ik_US","io_INT","is_IS","it_IT","iu_CA","ja_JP","jv_ID","ka_GE","kg_CD","ki_KE","kj_NA","kk_KZ","kl_GL","km_KH","kn_IN","ko_KR","kr_NG","ks_IN","ku_TR","kv_RU","kw_GB","ky_KG","la_VA","lb_LU","lg_UG","li_NL","ln_CD","lo_LA","lt_LT","lu_CD","lv_LV","mg_MG","mh_MH","mi_NZ","mk_MK","ml_IN","mn_MN","mr_IN","ms_MY","mt_MT","my_MM","na_NR","nb_NO","nd_ZW","ne_NP","ng_NA","nl_NL","nn_NO","no_NO","nr_ZA","nv_US","ny_MW","oc_FR","oj_CA","om_ET","or_IN","os_RU","pa_IN","pi_IN","pl_PL","ps_AF","pt_PT","qu_PE","rm_CH","rn_BI","ro_RO","ru_RU","rw_RW","sa_IN","sc_IT","sd_PK","se_NO","sg_CF","si_LK","sk_SK","sl_SI","sm_WS","sn_ZW","so_SO","sq_AL","sr_RS","ss_SZ","st_LS","su_ID","sv_SE","sw_TZ","ta_IN","te_IN","tg_TJ","th_TH","ti_ET","tk_TM","tl_PH","tn_BW","to_TO","tr_TR","ts_ZA","tt_RU","tw_GH","ty_PF","ug_CN","uk_UA","ur_PK","uz_UZ","ve_ZA","vi_VN","vo_INT","wa_BE","wo_SN","xh_ZA","yi_IL","yo_NG","za_CN","zh_CN","zu_ZA"]}}},"required":["include"],"title":"ActionRequestAdsLanguageLocaleFilter"},"ActionRequestAdsMarketplaceBidSetting":{"type":"object","properties":{"marketplace":{"type":"string","enum":["AE","AU","BE","BR","CA","DE","EG","ES","FR","GB","IE","IN","IT","JP","MX","NL","PL","SA","SE","SG","TR","US","ZA"],"nullable":false},"currencyCode":{"type":"string","nullable":false},"bid":{"type":"number","nullable":true},"defaultBid":{"type":"number","nullable":true}},"required":["marketplace","currencyCode"],"title":"ActionRequestAdsMarketplaceBidSetting"},"ActionRequestAdsMarketplaceScopeFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["GLOBAL","SINGLE_MARKETPLACE"]}}},"required":["include"],"title":"ActionRequestAdsMarketplaceScopeFilter"},"ActionRequestAdsMarketplaceStringValue":{"type":"object","properties":{"defaultValue":{"type":"string"}},"title":"ActionRequestAdsMarketplaceStringValue"},"ActionRequestAdsMarketplaceStringValueFilter":{"type":"object","properties":{"include":{"nullable":false,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceStringValue"}}},"required":["include"],"title":"ActionRequestAdsMarketplaceStringValueFilter"},"ActionRequestAdsMatchTypeFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["BROAD","EXACT","INTERESTED_AUDIENCE","KEYWORDS_CLOSE_MATCH","KEYWORDS_LOOSE_MATCH","KEYWORDS_RELATED_TO_GIFTS","KEYWORDS_RELATED_TO_PEER_BRANDS_PRODUCT_CATEGORY","KEYWORDS_RELATED_TO_PRIME_DAY","KEYWORDS_RELATED_TO_YOUR_BRAND","KEYWORDS_RELATED_TO_YOUR_LANDING_PAGES","KEYWORDS_RELATED_TO_YOUR_PRODUCT_CATEGORY","PHRASE","PRODUCTS_SIMILAR_TO_ADVERTISED_PRODUCTS","PRODUCT_COMPLEMENTS","PRODUCT_EXACT","PRODUCT_REMARKETING","PRODUCT_SIMILAR","PRODUCT_SUBSTITUTES"]}}},"required":["include"],"title":"ActionRequestAdsMatchTypeFilter"},"ActionRequestAdsNameFilter":{"type":"object","properties":{"include":{"nullable":false,"type":"array","items":{"type":"string"}},"queryTermMatchType":{"type":"string","enum":["BROAD_MATCH","EXACT_MATCH"],"nullable":false}},"required":["include","queryTermMatchType"],"title":"ActionRequestAdsNameFilter"},"ActionRequestAdsPortfolioBudget":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"currencyCode":{"type":"string","enum":["USD","CAD","GBP","EUR","CNY","JPY","INR","MXN","AUD","AED","BRL","SGD","SEK","TRY","SAR","EGP","PLN","CLP","COP","NGN","ZAR"],"nullable":true},"endDate":{"type":"string","nullable":true},"policy":{"type":"string","enum":["DATE_RANGE","MONTHLY_RECURRING","NO_CAP","OTHER"],"nullable":true},"startDate":{"type":"string","nullable":true}},"title":"ActionRequestAdsPortfolioBudget"},"ActionRequestAdsPortfolioBudgetControls":{"type":"object","properties":{"campaignUnspentBudgetSharing":{"type":"object","nullable":true}},"title":"ActionRequestAdsPortfolioBudgetControls"},"ActionRequestAdsPortfolioDetails":{"type":"object","properties":{"portfolios":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsPortfolioItem"}}},"required":["portfolios"],"title":"ActionRequestAdsPortfolioDetails"},"ActionRequestAdsPortfolioEntityStateFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["ENABLED"]}}},"required":["include"],"title":"ActionRequestAdsPortfolioEntityStateFilter"},"ActionRequestAdsPortfolioFindDetails":{"type":"object","properties":{"portfolioQuery":{"$ref":"#/components/schemas/ActionRequestAdsPortfolioQuery","nullable":false}},"required":["portfolioQuery"],"title":"ActionRequestAdsPortfolioFindDetails"},"ActionRequestAdsPortfolioItem":{"type":"object","properties":{"portfolioId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"state":{"type":"string","enum":["ENABLED"],"nullable":true},"budget":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestAdsPortfolioBudget"}]},"budgetControls":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestAdsPortfolioBudgetControls"}]}},"title":"ActionRequestAdsPortfolioItem"},"ActionRequestAdsPortfolioQuery":{"type":"object","properties":{"portfolioIdFilter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"}]},"stateFilter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestAdsPortfolioEntityStateFilter"}]},"nameFilter":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"}]},"nextToken":{"type":"string","nullable":true},"includeExtendedDataFields":{"type":"boolean","nullable":true}},"title":"ActionRequestAdsPortfolioQuery"},"ActionRequestAdsTargetDetails":{"type":"object","properties":{"targets":{"nullable":false,"maxItems":25,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsTargetItem"}}},"required":["targets"],"title":"ActionRequestAdsTargetDetails"},"ActionRequestAdsTargetFindDetails":{"type":"object","properties":{"targetQuery":{"$ref":"#/components/schemas/ActionRequestAdsTargetQuery","nullable":false}},"required":["targetQuery"],"title":"ActionRequestAdsTargetFindDetails"},"ActionRequestAdsTargetItem":{"type":"object","properties":{"targetId":{"type":"string","nullable":true},"campaignId":{"type":"string","nullable":true},"adGroupId":{"type":"string","nullable":true},"adProduct":{"type":"string","enum":["AMAZON_DSP","SPONSORED_BRANDS","SPONSORED_DISPLAY","SPONSORED_PRODUCTS","SPONSORED_TELEVISION"],"nullable":true},"state":{"type":"string","enum":["ENABLED","PAUSED"],"nullable":true},"negative":{"type":"boolean","nullable":true},"targetType":{"type":"string","enum":["AD_INITIATION","AD_PLAYER_SIZE","APP","AUDIENCE","BRAND_SAFETY_CATEGORY","BRAND_SAFETY_TIER","CONTENT_CATEGORY","CONTENT_GENRE","CONTENT_INSTREAM_POSITION","CONTENT_OUTSTREAM_POSITION","CONTENT_RATING","DAYPART","DEVICE","DOMAIN","FOLD_POSITION","INVENTORY_SOURCE","KEYWORD","LOCATION","NATIVE_CONTENT_POSITION","PLACEMENT_TYPE","PRODUCT","PRODUCT_AUDIENCE","PRODUCT_CATEGORY","THEME","THIRD_PARTY","VIDEO_AD_FORMAT","VIDEO_CONTENT_DURATION"],"nullable":true},"targetDetails":{"type":"object","description":"Amazon Ads CreateTargetDetails object with exactly one wrapper key (for example keywordTarget). When targetType is provided, flat inner fields are also accepted and normalized before execution.","nullable":true,"examples":{"keywordTarget":{"value":{"keywordTarget":{"keyword":"running shoes","matchType":"EXACT"}}}}},"bid":{"type":"number","nullable":true},"marketplaceSettings":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceBidSetting"}},"marketplaceConfigurations":{"nullable":true,"type":"array","items":{"type":"object"}},"marketplaceScope":{"type":"string","enum":["GLOBAL","SINGLE_MARKETPLACE"],"nullable":true},"marketplaces":{"type":"array","nullable":true,"items":{"type":"string","enum":["AE","AU","BE","BR","CA","DE","EG","ES","FR","GB","IE","IN","IT","JP","MX","NL","PL","SA","SE","SG","TR","US","ZA"]}},"tags":{"nullable":true,"type":"array","items":{"type":"object"}}},"title":"ActionRequestAdsTargetItem"},"ActionRequestAdsTargetQuery":{"type":"object","properties":{"adProductFilter":{"$ref":"#/components/schemas/ActionRequestAdsAdProductFilter","nullable":false},"adGroupIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"campaignIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"inventorySourceIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceStringValueFilter"},"inventorySourceTypeFilter":{"$ref":"#/components/schemas/ActionRequestAdsInventorySourceTypeFilter"},"keywordFilter":{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"},"marketplaceScopeFilter":{"$ref":"#/components/schemas/ActionRequestAdsMarketplaceScopeFilter"},"matchTypeFilter":{"$ref":"#/components/schemas/ActionRequestAdsMatchTypeFilter"},"nativeLanguageLocaleFilter":{"$ref":"#/components/schemas/ActionRequestAdsLanguageLocaleFilter"},"negativeFilter":{"$ref":"#/components/schemas/ActionRequestAdsBooleanFilter"},"productIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsNameFilter"},"stateFilter":{"$ref":"#/components/schemas/ActionRequestAdsFilterStateFilter"},"targetIdFilter":{"$ref":"#/components/schemas/ActionRequestAdsIncludeStringFilter"},"targetTypeFilter":{"$ref":"#/components/schemas/ActionRequestAdsTargetTypeFilter"},"maxResults":{"type":"number","minimum":1,"maximum":100},"nextToken":{"type":"string"}},"required":["adProductFilter"],"title":"ActionRequestAdsTargetQuery"},"ActionRequestAdsTargetTypeFilter":{"type":"object","properties":{"include":{"type":"array","nullable":false,"items":{"type":"string","enum":["AD_INITIATION","AD_PLAYER_SIZE","APP","AUDIENCE","BRAND_SAFETY_CATEGORY","BRAND_SAFETY_TIER","CONTENT_CATEGORY","CONTENT_GENRE","CONTENT_INSTREAM_POSITION","CONTENT_OUTSTREAM_POSITION","CONTENT_RATING","DAYPART","DEVICE","DOMAIN","FOLD_POSITION","INVENTORY_SOURCE","KEYWORD","LOCATION","NATIVE_CONTENT_POSITION","PLACEMENT_TYPE","PRODUCT","PRODUCT_AUDIENCE","PRODUCT_CATEGORY","THEME","THIRD_PARTY","VIDEO_AD_FORMAT","VIDEO_CONTENT_DURATION"]}}},"required":["include"],"title":"ActionRequestAdsTargetTypeFilter"},"ActionRequestListingChange":{"type":"object","properties":{"sku":{"type":"string","description":"Listing SKU.","nullable":false,"maxLength":64},"name":{"type":"string","nullable":true,"maxLength":75},"description":{"type":"string","nullable":true,"maxLength":4096},"bulletPoints":{"nullable":true,"maxItems":5,"type":"array","items":{"type":"string"}},"price":{"type":"number","nullable":true,"description":"Listing price. Supported for Seller Central accounts only."},"genericKeyword":{"type":"string","nullable":true,"maxLength":256},"itemTypeKeyword":{"type":"string","nullable":true,"maxLength":256,"description":"Item type keyword to set for the listing. Supported in all marketplaces."},"itemHighlight":{"type":"string","nullable":true,"maxLength":125,"description":"Item highlight to set for the listing. Maps to Amazon title_differentiation attribute."},"language_tag":{"type":"string","nullable":true,"maxLength":16,"description":"Required when name, description, bulletPoints, genericKeyword, or itemHighlight is provided. POSIX locale format, for example en_US."},"images":{"nullable":true,"description":"Listing image updates. Upload images via Files API (group LISTING_IMAGES) for the same seller or vendor, then reference file UUIDs. Omitted image fields are left unchanged.","type":"object","allOf":[{"$ref":"#/components/schemas/ActionRequestListingImages"}]}},"required":["sku"],"title":"ActionRequestListingChange"},"ActionRequestListingImages":{"type":"object","properties":{"mainImage":{"type":"string","format":"uuid","nullable":true,"description":"UUID of an uploaded LISTING_IMAGES DataFile for the main image (main_product_image_locator). Upload via POST /api/v1/files with group LISTING_IMAGES first. Set null to remove (Seller Central only)."},"image1":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 1 (other_product_image_locator_1). UUID or null to remove."},"image2":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 2 (other_product_image_locator_2). UUID or null to remove."},"image3":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 3 (other_product_image_locator_3). UUID or null to remove."},"image4":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 4 (other_product_image_locator_4). UUID or null to remove."},"image5":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 5 (other_product_image_locator_5). UUID or null to remove."},"image6":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 6 (other_product_image_locator_6). UUID or null to remove."},"image7":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 7 (other_product_image_locator_7). UUID or null to remove."},"image8":{"type":"string","format":"uuid","nullable":true,"description":"Gallery image slot 8 (other_product_image_locator_8). UUID or null to remove."},"variationSwatchImage":{"type":"string","format":"uuid","nullable":true,"description":"UUID of an uploaded LISTING_IMAGES DataFile for the variation swatch (swatch_product_image_locator). Set null to remove (Seller Central only)."}},"title":"ActionRequestListingImages"},"ActionRequestListingsFindChange":{"type":"object","properties":{"identifierType":{"type":"string","enum":["ASIN","EAN","FNSKU","GTIN","ISBN","JAN","MINSAN","SKU","UPC"],"nullable":false,"description":"Product identifier type accepted by the Amazon Listings Items search API."},"identifier":{"type":"string","nullable":false,"maxLength":64,"description":"Product identifier value to search for."}},"required":["identifierType","identifier"],"title":"ActionRequestListingsFindChange"},"ActionRequestListingsFindDetails":{"type":"object","properties":{"listingIdentifiers":{"nullable":false,"maxItems":5000,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestListingsFindChange"}}},"required":["listingIdentifiers"],"title":"ActionRequestListingsFindDetails"},"ActionRequestOrderCancellation":{"type":"object","properties":{"orderId":{"type":"string","nullable":false,"pattern":"^\\w{3}-\\w{7}-\\w{7}$"},"orderItemId":{"type":"string","nullable":false,"pattern":"^\\d{1,64}$"},"cancellationReasonCode":{"type":"string","enum":["NoInventory","BuyerCanceled","ShippingAddressUndeliverable","CarrierCoverageFailure","CustomerReturn","CouldNotShip","GeneralAdjustment"],"nullable":false}},"required":["orderId","orderItemId","cancellationReasonCode"],"title":"ActionRequestOrderCancellation"},"ActionRequestOrdersCancelDetails":{"type":"object","properties":{"cancellations":{"nullable":false,"maxItems":5000,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestOrderCancellation"}}},"required":["cancellations"],"title":"ActionRequestOrdersCancelDetails"},"ActionRequestOrdersConfirmShipmentDetails":{"type":"object","properties":{"shipments":{"nullable":false,"maxItems":5000,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestShipmentConfirmation"}}},"required":["shipments"],"title":"ActionRequestOrdersConfirmShipmentDetails"},"ActionRequestOrdersSolicitationFeedbackSendDetails":{"type":"object","properties":{"solicitations":{"nullable":false,"maxItems":300,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestSolicitationFeedbackSend"}}},"required":["solicitations"],"title":"ActionRequestOrdersSolicitationFeedbackSendDetails"},"ActionRequestShipmentConfirmation":{"type":"object","properties":{"orderId":{"type":"string","nullable":false,"pattern":"^\\w{3}-\\w{7}-\\w{7}$"},"orderItemId":{"type":"string","nullable":false,"pattern":"^\\d{1,64}$"},"quantity":{"type":"number","nullable":false},"shipDate":{"type":"string","description":"Ship date as YYYY-MM-DD or ISO datetime.","nullable":false},"carrierCode":{"type":"string","nullable":false,"maxLength":50},"carrierName":{"type":"string","nullable":true,"maxLength":256},"shipMethod":{"type":"string","nullable":true,"maxLength":256},"trackingNumber":{"type":"string","nullable":true,"maxLength":256},"shipFromSupplySourceId":{"type":"string","nullable":true,"maxLength":64}},"required":["orderId","orderItemId","quantity","shipDate","carrierCode"],"title":"ActionRequestShipmentConfirmation"},"ActionRequestSolicitationFeedbackSend":{"type":"object","properties":{"amazonOrderId":{"type":"string","nullable":false,"pattern":"^\\w{3}-\\w{7}-\\w{7}$"}},"required":["amazonOrderId"],"title":"ActionRequestSolicitationFeedbackSend"},"ActionRequestUpdateListingDetails":{"type":"object","properties":{"vendorCode":{"type":"string","nullable":true,"maxLength":32,"description":"Amazon vendor code for the listing update feed header. Required for Vendor Central accounts."},"changes":{"nullable":false,"maxItems":5000,"type":"array","items":{"$ref":"#/components/schemas/ActionRequestListingChange"}}},"required":["changes"],"title":"ActionRequestUpdateListingDetails"},"ActionResult":{"type":"object","properties":{},"description":"Action-specific result payload. Shape depends on action type and status.","title":"ActionResult","additionalProperties":true},"ActionSpApiFeedResult":{"type":"object","properties":{"amazonSpApiFeedId":{"type":"string","nullable":true},"amazonSpApiFeedStatus":{"type":"string","nullable":true},"amazonSpApiFeedRawResult":{"type":"string","nullable":true,"description":"Raw feed processing result document content."}},"description":"Amazon SP-API feed result for finished feed-based actions.","required":["amazonSpApiFeedId","amazonSpApiFeedStatus","amazonSpApiFeedRawResult"],"title":"ActionSpApiFeedResult","additionalProperties":true},"ActionStartResponse":{"type":"object","properties":{"actionId":{"type":"string","nullable":true},"status":{"type":"string","enum":["VALIDATED","PENDING","IN_PROGRESS","WAITING_EXTERNAL_PROCESSING","COMPLETED","PARTIALLY_COMPLETED","COMPLETED_WITH_ISSUES","ERROR","BLOCKED_NO_TOKENS","BLOCKED_INVALID_INPUT","CANCELED"],"nullable":false},"dryRun":{"type":"boolean","nullable":false},"request":{"$ref":"#/components/schemas/ActionRequest","nullable":false,"description":"The request that started the action."},"validation":{"$ref":"#/components/schemas/ActionValidationResult","nullable":false},"result":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionResult"}]},"error":{"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/ActionError"}]},"cause":{"type":"string","nullable":true},"queuedAt":{"format":"date-time","type":"string","nullable":true}},"required":["actionId","status","dryRun","request","validation","result","error","cause","queuedAt"],"title":"ActionStartResponse"},"ActionStatusResponse":{"type":"object","properties":{"actionId":{"type":"string","format":"uuid","nullable":false},"type":{"type":"string","enum":["AMAZON_LISTINGS_UPDATE","AMAZON_LISTINGS_FIND","AMAZON_ORDERS_CANCEL","AMAZON_ORDERS_CONFIRM_SHIPMENT","AMAZON_ORDERS_SOLICITATION_FEEDBACK_SEND","AMAZON_ADS_CAMPAIGNS_ADD","AMAZON_ADS_CAMPAIGNS_REMOVE","AMAZON_ADS_CAMPAIGNS_UPDATE","AMAZON_ADS_AD_GROUPS_ADD","AMAZON_ADS_AD_GROUPS_REMOVE","AMAZON_ADS_AD_GROUPS_UPDATE","AMAZON_ADS_TARGETS_ADD","AMAZON_ADS_TARGETS_REMOVE","AMAZON_ADS_TARGETS_UPDATE","AMAZON_ADS_ADS_ADD","AMAZON_ADS_ADS_REMOVE","AMAZON_ADS_ADS_UPDATE","AMAZON_ADS_AD_ASSOCIATIONS_ADD","AMAZON_ADS_AD_ASSOCIATIONS_REMOVE","AMAZON_ADS_AD_ASSOCIATIONS_UPDATE","AMAZON_ADS_CAMPAIGNS_FIND","AMAZON_ADS_AD_GROUPS_FIND","AMAZON_ADS_TARGETS_FIND","AMAZON_ADS_ADS_FIND","AMAZON_ADS_AD_ASSOCIATIONS_FIND","AMAZON_ADS_PORTFOLIOS_ADD","AMAZON_ADS_PORTFOLIOS_UPDATE","AMAZON_ADS_PORTFOLIOS_FIND"],"nullable":false},"sellerOrVendorId":{"type":"string","format":"uuid","nullable":false},"status":{"type":"string","enum":["PENDING","IN_PROGRESS","WAITING_EXTERNAL_PROCESSING","COMPLETED","PARTIALLY_COMPLETED","COMPLETED_WITH_ISSUES","ERROR","BLOCKED_NO_TOKENS","BLOCKED_INVALID_INPUT","CANCELED"],"nullable":false},"details":{"nullable":false,"oneOf":[{"$ref":"#/components/schemas/ActionRequestUpdateListingDetails"},{"$ref":"#/components/schemas/ActionRequestListingsFindDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersCancelDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersConfirmShipmentDetails"},{"$ref":"#/components/schemas/ActionRequestOrdersSolicitationFeedbackSendDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationDetails"},{"$ref":"#/components/schemas/ActionRequestAdsCampaignFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdGroupFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsTargetFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsAdAssociationFindDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioDetails"},{"$ref":"#/components/schemas/ActionRequestAdsPortfolioFindDetails"}],"description":"Action-specific details submitted when the action was started."},"result":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/ActionSpApiFeedResult"},{"$ref":"#/components/schemas/ActionAdsCampaignsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdGroupsFindResult"},{"$ref":"#/components/schemas/ActionAdsTargetsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdsFindResult"},{"$ref":"#/components/schemas/ActionAdsAdAssociationsFindResult"},{"$ref":"#/components/schemas/ActionAdsPortfoliosFindResult"},{"$ref":"#/components/schemas/ActionExecutionErrorResult"},{"$ref":"#/components/schemas/ActionAdsMutateIssuesResult"}],"description":"Action result. For SP-API feed actions, returns feed status fields when finished. For Ads FIND actions, returns the Amazon Ads query response. For failed actions, returns a user-friendly execution error. For partially successful Ads mutate actions, returns issue summary with item-level messages. Null for in-progress actions and fully successful Ads mutate actions."},"queuedAt":{"format":"date-time","type":"string","nullable":true},"startedAt":{"format":"date-time","type":"string","nullable":true},"completedAt":{"format":"date-time","type":"string","nullable":true}},"required":["actionId","type","sellerOrVendorId","status","details","result","queuedAt","startedAt","completedAt"],"title":"ActionStatusResponse"},"ActionValidationIssue":{"type":"object","properties":{"path":{"nullable":false,"type":"array","items":{"type":"string"}},"code":{"type":"string","nullable":false},"message":{"type":"string","nullable":false}},"required":["path","code","message"],"title":"ActionValidationIssue"},"ActionValidationResult":{"type":"object","properties":{"valid":{"type":"boolean","nullable":false},"issues":{"nullable":false,"type":"array","items":{"$ref":"#/components/schemas/ActionValidationIssue"}}},"required":["valid","issues"],"title":"ActionValidationResult"},"ApiBadRequestResponse":{"type":"object","properties":{"message":{"example":["prompt should not be empty"],"description":"The error messages","type":"array","items":{"type":"string"}},"error":{"type":"string","example":"Bad Request","description":"The error type"},"statusCode":{"type":"number","example":400,"description":"The HTTP status code"}},"required":["message","error","statusCode"],"title":"ApiBadRequestResponse"},"ApiLiveActionLimitConfig":{"type":"object","properties":{"message":{"type":"string","example":"Too many in-progress actions for this connection (25/25, sellerOrVendorId=22222222-2222-4222-8222-222222222222). Wait for existing actions to complete or combine multiple operations into a single action request.","description":"Live action limit violation message"},"scope":{"type":"string","example":"CONNECTION","enum":["CONNECTION","ORGANIZATION"],"description":"Whether the organization-wide or per-connection limit was exceeded"},"limit":{"type":"number","example":25,"description":"Maximum allowed live actions for the exceeded scope"},"current":{"type":"number","example":25,"description":"Current number of live actions for the exceeded scope"},"sellerOrVendorId":{"type":"object","example":"22222222-2222-4222-8222-222222222222","nullable":true,"description":"Seller or vendor id when the connection scope limit was exceeded"}},"required":["message","scope","limit","current","sellerOrVendorId"],"title":"ApiLiveActionLimitConfig"},"ApiLiveActionLimitResponse":{"type":"object","properties":{"status":{"type":"number","example":429,"description":"HTTP status code for the error"},"entityType":{"type":"string","example":"LIVE_ACTION_LIMIT","description":"The type of entity that triggered the error"},"config":{"$ref":"#/components/schemas/ApiLiveActionLimitConfig","description":"Live action limit details"}},"required":["status","entityType","config"],"title":"ApiLiveActionLimitResponse"},"ApiNoTokensConfig":{"type":"object","properties":{"message":{"type":"string","description":"No tokens violation message"},"refillUrl":{"type":"string","example":"https://app.datadoe.com/organizations/org-id","description":"URL to refill AI tokens for the organization"}},"required":["message","refillUrl"],"title":"ApiNoTokensConfig"},"ApiNoTokensResponse":{"type":"object","properties":{"status":{"type":"number","example":402,"description":"HTTP status code for the error"},"entityType":{"type":"string","example":"NO_TOKENS","description":"The type of entity that triggered the error"},"message":{"type":"string","description":"No tokens violation message"},"config":{"$ref":"#/components/schemas/ApiNoTokensConfig","description":"No tokens details"}},"required":["status","entityType","message","config"],"title":"ApiNoTokensResponse"},"ApiNotFoundResponse":{"type":"object","properties":{"status":{"type":"number","example":404,"description":"HTTP status code for the error"},"entityType":{"type":"string","example":"EXPORT","description":"The type of entity that was not found"},"config":{"type":"object","example":{"exportId":"export-123"},"description":"Configuration details that identify the missing entity"}},"required":["status","entityType","config"],"title":"ApiNotFoundResponse"},"ApiRateLimitConfig":{"type":"object","properties":{"message":{"type":"string","example":"Rate limit exceeded. Maximum is 2 requests per second per organization.","description":"Rate limit violation message"},"retryAfterSeconds":{"type":"number","example":1,"description":"Number of seconds to wait before retrying request"}},"required":["message","retryAfterSeconds"],"title":"ApiRateLimitConfig"},"ApiRateLimitResponse":{"type":"object","properties":{"status":{"type":"number","example":429,"description":"HTTP status code for the error"},"entityType":{"type":"string","example":"RATE_LIMIT","description":"The type of entity that triggered the error"},"config":{"$ref":"#/components/schemas/ApiRateLimitConfig","description":"Rate limit details"}},"required":["status","entityType","config"],"title":"ApiRateLimitResponse"},"CreateDataFileRequest":{"type":"object","properties":{"name":{"type":"string"},"group":{"type":"string","enum":["LISTING_IMAGES"]},"type":{"type":"string","enum":["PNG","TIFF","JPG"]},"sellerOrVendorId":{"type":"string","format":"uuid"},"ttlHours":{"type":"number","minimum":1,"maximum":720}},"required":["name","group","type","sellerOrVendorId"],"title":"CreateDataFileRequest"},"DataFileCreateResponse":{"type":"object","properties":{"file":{"$ref":"#/components/schemas/DataFileResponse"},"uploadUrl":{"type":"string","format":"uri"}},"required":["file","uploadUrl"],"title":"DataFileCreateResponse"},"DataFileResponse":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"group":{"type":"string","enum":["LISTING_IMAGES"]},"type":{"type":"string","enum":["PNG","TIFF","JPG"]},"status":{"type":"string","enum":["WAITING_FOR_UPLOAD","UPLOADED","EXPIRED","DELETED"]},"source":{"type":"string","enum":["API","MCP","DATA"]},"sellerOrVendorId":{"type":"string"},"connectionId":{"type":"string"},"sizeBytes":{"type":"number","nullable":true},"ttlHours":{"type":"number"},"expiresAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","name","group","type","status","source","sellerOrVendorId","connectionId","sizeBytes","ttlHours","expiresAt","createdAt","updatedAt"],"title":"DataFileResponse"},"DataFilesResponse":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object"}},"meta":{"$ref":"#/components/schemas/PaginatedMeta"}},"required":["data","meta"],"title":"DataFilesResponse"},"ExportAggregation":{"type":"object","properties":{"column":{"type":"string","description":"Column to aggregate","example":"sales","nullable":false},"aggregation":{"type":"string","description":"Type of aggregation","example":"sum","enum":["count","countDistinct","sum","avg","min","max"],"nullable":false},"alias":{"type":"string","description":"Optional alias for the aggregation result","example":"total_sales","nullable":true}},"required":["column","aggregation"],"title":"ExportAggregation"},"ExportColumn":{"type":"object","properties":{"name":{"type":"string","description":"Name of the column","example":"sales","nullable":false,"minLength":2,"maxLength":128},"type":{"type":"string","enum":["TEXT","NUMBER","LOGIC","DATE","JSON"],"description":"Type of the column","example":"NUMBER","nullable":false},"nullable":{"type":"boolean","description":"True if the column can contain null values","example":false,"nullable":false},"description":{"type":"string","description":"Description of the column content","nullable":true},"bigQueryOnly":{"type":"boolean","description":"True if the column is available only in direct BigQuery integration","nullable":false}},"required":["name","type","nullable"],"title":"ExportColumn"},"ExportRequest":{"type":"object","properties":{"sellerOrVendorIds":{"description":"Seller or vendor identifiers for the report","example":["1a2b3c4d-5678-90ab-cdef-112233445566"],"nullable":false,"minItems":0,"maxItems":5,"type":"array","items":{"type":"string"}},"sourceId":{"type":"string","description":"ID of the report source","example":"0f3afbdde3","nullable":false,"minLength":10,"maxLength":64,"pattern":"^(?:[a-f0-9]{10}|[a-f0-9]{64})$"},"columns":{"description":"Columns to include in the report. Can include source columns and aggregation aliases.","example":["child_asin","total_sales_sum"],"nullable":false,"type":"array","items":{"type":"string"}},"from":{"format":"date-time","type":"string","description":"Start date for the report","example":"2023-01-01","nullable":false},"to":{"format":"date-time","type":"string","description":"End date for the report","example":"2023-01-31","nullable":false},"filters":{"description":"Filters applied to the report","example":{"combinator":"and","rules":[{"field":"date","operator":">=","value":"2023-01-01","not":false},{"field":"ad_campaign_type","operator":"=","value":"SPONSORED_PRODUCTS","not":false}]},"nullable":true,"type":"object","allOf":[{"$ref":"#/components/schemas/FilterGroupMessage"}]},"groupBy":{"description":"Fields to group by in the report","example":["date","ad_type"],"nullable":true,"minItems":0,"maxItems":16,"type":"array","items":{"type":"string"}},"aggregations":{"description":"Filters applied to the report","example":[{"column":"sales","aggregation":"sum"},{"column":"orders","aggregation":"countDistinct"}],"nullable":true,"minItems":0,"maxItems":16,"type":"array","items":{"$ref":"#/components/schemas/ExportAggregation"}},"orderByColumn":{"type":"string","description":"Column to order the report by. Can be a source column or an aggregation alias.","example":"total_sales_sum","nullable":true},"orderByDirection":{"type":"string","enum":["ASC","DESC"],"description":"Order direction of the report","example":"ASC","nullable":true},"limit":{"type":"number","description":"Limit the number of rows in the report","example":100,"nullable":true},"skip":{"type":"number","description":"Number of rows to skip before returning the export results. Use 0 for the first page and combine with `limit` to paginate the results.","example":100,"nullable":true},"dateInterval":{"type":"string","enum":["DAY","WEEK","MONTH"],"description":"Optional interval to truncate date column in the export","example":"MONTH","nullable":true},"outputType":{"type":"string","enum":["CSV","JSON","EXCEL","TSV","XML"],"description":"Output type of the report","example":"CSV"},"sendTo":{"description":"Emails to send the report to","example":["user@example.com","admin@example.com"],"minItems":0,"maxItems":5,"nullable":true,"type":"array","items":{"type":"string"}},"sendToAllOrganizationMembers":{"type":"boolean","description":"Whether to send the report to all organization members","example":true,"default":false}},"required":["sellerOrVendorIds","sourceId","columns","outputType","sendToAllOrganizationMembers"],"title":"ExportRequest"},"ExportResponse":{"type":"object","properties":{"id":{"type":"string","description":"Report ID","example":"e0d7e0e0-4b2d-4f2f-8d0f-2c5d5e0d7e0e","nullable":false},"organizationId":{"type":"string","description":"Organization ID","example":"a1b2c3d4-5678-90ab-cdef-1234567890ab","nullable":false},"sellerOrVendorIds":{"description":"Seller or vendor identifiers","example":["1a2b3c4d-5678-90ab-cdef-112233445566"],"nullable":false,"type":"array","items":{"type":"string"}},"status":{"type":"string","enum":["PENDING","IN_PROGRESS","COMPLETED","ERROR","BLOCKED_NO_TOKENS"],"description":"Report status","example":"PENDING","nullable":false},"sourceId":{"type":"string","description":"Report source id","example":"3f1700d6da","nullable":false,"minLength":10,"maxLength":10},"sourceName":{"type":"string","description":"Report source name","example":"Sales & Traffic by ASIN & Date","nullable":false},"name":{"type":"string","description":"Optional friendly name set for the report","example":"Weekly Ad Report","nullable":true},"columns":{"description":"Columns included in the report","example":["col1","col2"],"nullable":false,"type":"array","items":{"type":"string"}},"from":{"format":"date-time","type":"string","description":"Report start date","example":"2025-07-01T00:00:00Z","nullable":true},"to":{"format":"date-time","type":"string","description":"Report end date","example":"2025-07-31T23:59:59Z","nullable":true},"filters":{"type":"object","description":"Filters applied to the report","nullable":true},"groupBy":{"type":"object","description":"Fields to group by in the report","example":["date","ad_type"],"nullable":true},"orderByColumn":{"type":"string","description":"Column to order the report by. Can be a source column or an aggregation alias.","example":"total_sales_sum","nullable":true},"orderByDirection":{"type":"string","enum":["ASC","DESC"],"description":"Order direction of the report","nullable":true},"limit":{"type":"number","description":"Limit the number of rows in the report","example":100,"nullable":true},"skip":{"type":"number","description":"Number of rows skipped before returning the report results","example":100,"nullable":true},"outputType":{"type":"string","enum":["CSV","JSON","EXCEL","TSV","XML"],"description":"Report output type","example":"CSV","nullable":false},"rowCount":{"type":"number","description":"Number of data rows in the generated report","example":1250,"nullable":true},"sendTo":{"description":"Email addresses to send the report to","example":["user@example.com"],"type":"array","items":{"type":"string"}},"sendToAllOrganizationMembers":{"type":"boolean","description":"Should report be sent to all organization members","example":true},"creator":{"type":"string","enum":["USER","AUTOMATION","EXPLORER","SCHEDULE","API","MCP","REPORTS","HOME"],"description":"Entity that created the export","example":"API","nullable":false},"createdAt":{"format":"date-time","type":"string","description":"Creation date","example":"2025-07-28T12:00:00Z","nullable":false},"updatedAt":{"format":"date-time","type":"string","description":"Last update date","example":"2025-07-28T12:00:00Z","nullable":false},"expiresAt":{"format":"date-time","type":"string","description":"Expiration date","example":"2025-08-28T12:00:00Z","nullable":true}},"required":["id","organizationId","sellerOrVendorIds","status","sourceId","sourceName","name","columns","from","to","filters","groupBy","orderByColumn","orderByDirection","limit","skip","outputType","rowCount","sendTo","sendToAllOrganizationMembers
[...]
